aboutsummaryrefslogtreecommitdiffstats
path: root/recipes-opie/nonworking
diff options
context:
space:
mode:
authorPaul Eggleton <paul.eggleton@linux.intel.com>2011-07-24 17:57:24 +0100
committerPaul Eggleton <paul.eggleton@linux.intel.com>2011-07-30 02:35:12 +0100
commite9b45ff67d32fdc27950a51135b6dabada8334e7 (patch)
treede99cd760c8292ee1dd334e23e1e5cc43e90dfbd /recipes-opie/nonworking
downloadmeta-opie-e9b45ff67d32fdc27950a51135b6dabada8334e7.tar.gz
meta-opie-e9b45ff67d32fdc27950a51135b6dabada8334e7.tar.bz2
meta-opie-e9b45ff67d32fdc27950a51135b6dabada8334e7.zip
initial commit of meta-opie
Populate the repository with files from OpenEmbedded at revision 45edf621296daf150c72b876d720861235e5762e - no changes, only rearranged the directory structure to match the new oe-core style and added COPYING.MIT and README. Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>
Diffstat (limited to 'recipes-opie/nonworking')
-rw-r--r--recipes-opie/nonworking/opie-dagger/opie-dagger.inc18
-rw-r--r--recipes-opie/nonworking/opie-dagger/opie-dagger_1.2.5.bb8
-rw-r--r--recipes-opie/nonworking/opie-dagger/opie-dagger_cvs.bb9
-rw-r--r--recipes-opie/nonworking/opie-dasher/opie-dasher.inc45
-rw-r--r--recipes-opie/nonworking/opie-dasher/opie-dasher_1.2.5.bb5
-rw-r--r--recipes-opie/nonworking/opie-dasher/opie-dasher_cvs.bb7
-rw-r--r--recipes-opie/nonworking/opie-mediaplayer1-libmpeg3plugin/opie-mediaplayer1-libmpeg3plugin_cvs.bb19
7 files changed, 111 insertions, 0 deletions
diff --git a/recipes-opie/nonworking/opie-dagger/opie-dagger.inc b/recipes-opie/nonworking/opie-dagger/opie-dagger.inc
new file mode 100644
index 0000000..7ba8962
--- /dev/null
+++ b/recipes-opie/nonworking/opie-dagger/opie-dagger.inc
@@ -0,0 +1,18 @@
+DESCRIPTION = "A Bible study program utilizing the Sword library."
+SECTION = "opie/applications"
+PRIORITY = "optional"
+LICENSE = "GPL"
+DEPENDS = "libopiecore2 libopieui2 sword"
+APPNAME = "dagger"
+
+EXTRA_QMAKEVARS_PRE += "LIBSWORD_INC_DIR=${STAGING_INCDIR}/sword"
+
+S = "${WORKDIR}/${APPNAME}"
+
+inherit opie
+
+do_install() {
+ install -d ${D}${palmtopdir}/pics/${APPNAME}/
+ install -m 0644 ${WORKDIR}/pics/${APPNAME}/*.png ${D}${palmtopdir}/pics/${APPNAME}/
+}
+
diff --git a/recipes-opie/nonworking/opie-dagger/opie-dagger_1.2.5.bb b/recipes-opie/nonworking/opie-dagger/opie-dagger_1.2.5.bb
new file mode 100644
index 0000000..c218b1b
--- /dev/null
+++ b/recipes-opie/nonworking/opie-dagger/opie-dagger_1.2.5.bb
@@ -0,0 +1,8 @@
+require ${PN}.inc
+
+PR = "r0"
+
+SRC_URI = "http://sources.openembedded.org/opie-1.2.5-split_noncore_apps_dagger.tar.bz2 \
+ http://sources.openembedded.org/opie-1.2.5-split_pics.tar.bz2 \
+ http://sources.openembedded.org/opie-1.2.5-split_apps.tar.bz2"
+
diff --git a/recipes-opie/nonworking/opie-dagger/opie-dagger_cvs.bb b/recipes-opie/nonworking/opie-dagger/opie-dagger_cvs.bb
new file mode 100644
index 0000000..2bffd49
--- /dev/null
+++ b/recipes-opie/nonworking/opie-dagger/opie-dagger_cvs.bb
@@ -0,0 +1,9 @@
+require ${PN}.inc
+
+PV = "${OPIE_GIT_PV}"
+PR = "r2"
+
+SRC_URI = "${OPIE_GIT};protocol=git;subpath=noncore/apps/dagger \
+ ${OPIE_GIT};protocol=git;subpath=pics \
+ ${OPIE_GIT};protocol=git;subpath=apps"
+
diff --git a/recipes-opie/nonworking/opie-dasher/opie-dasher.inc b/recipes-opie/nonworking/opie-dasher/opie-dasher.inc
new file mode 100644
index 0000000..9903dd9
--- /dev/null
+++ b/recipes-opie/nonworking/opie-dasher/opie-dasher.inc
@@ -0,0 +1,45 @@
+DESCRIPTION = "Dasher text input method"
+SECTION = "opie/inputmethods"
+PRIORITY = "optional"
+LICENSE = "GPL"
+APPNAME = "qdasher"
+
+
+S = "${WORKDIR}/dasher"
+
+inherit opie
+
+pkg_postinst() {
+#!/bin/sh
+if [ -n "$D" ]; then exit 1; fi
+if pidof -s qpe >/dev/null; then
+ /opt/QtPalmtop/bin/qcop QPE/TaskBar "reloadInputMethods()"
+else
+ exit 0
+fi
+
+}
+
+pkg_postrm() {
+#!/bin/sh
+if [ -n "$D" ]; then exit 1; fi
+/opt/QtPalmtop/bin/qcop QPE/TaskBar "reloadInputMethods()"
+}
+
+# FILES plugins/inputmethods/libqdasher.so* share/dasher/alphabet.xml
+# FILES share/dasher/training_*.txt
+do_install() {
+ install -d ${D}${palmtopdir}/share/dasher/
+ install -m 0644 ${WORKDIR}/share/dasher/alphabet.xml ${D}${palmtopdir}/share/dasher/
+ for f in ${WORKDIR}/share/dasher/training_*.txt
+ do
+# echo Installing Dasher Language $f
+ [ -f $f ] && install -m 0644 $f ${D}${palmtopdir}/share/dasher/
+ done
+}
+
+PACKAGES += " opie-dasher-english "
+
+FILES_opie-dasher = "${palmtopdir}/plugins/inputmethods/libqdasher.so*"
+FILES_opie-dasher-english = "${palmtopdir}/share/dasher/training_english_GB.txt"
+
diff --git a/recipes-opie/nonworking/opie-dasher/opie-dasher_1.2.5.bb b/recipes-opie/nonworking/opie-dasher/opie-dasher_1.2.5.bb
new file mode 100644
index 0000000..f725530
--- /dev/null
+++ b/recipes-opie/nonworking/opie-dasher/opie-dasher_1.2.5.bb
@@ -0,0 +1,5 @@
+require ${PN}.inc
+PR = "r0"
+
+SRC_URI = "http://sources.openembedded.org/opie-1.2.5-split_inputmethods_dasher.tar.bz2 \
+ http://sources.openembedded.org/opie-1.2.5-split_share.tar.bz2"
diff --git a/recipes-opie/nonworking/opie-dasher/opie-dasher_cvs.bb b/recipes-opie/nonworking/opie-dasher/opie-dasher_cvs.bb
new file mode 100644
index 0000000..10bce3f
--- /dev/null
+++ b/recipes-opie/nonworking/opie-dasher/opie-dasher_cvs.bb
@@ -0,0 +1,7 @@
+require ${PN}.inc
+PR = "r2"
+
+PV = "${OPIE_CVS_PV}"
+
+SRC_URI = "${OPIE_GIT};protocol=git;subpath=inputmethods/dasher \
+ ${OPIE_GIT};protocol=git;subpath=share "
diff --git a/recipes-opie/nonworking/opie-mediaplayer1-libmpeg3plugin/opie-mediaplayer1-libmpeg3plugin_cvs.bb b/recipes-opie/nonworking/opie-mediaplayer1-libmpeg3plugin/opie-mediaplayer1-libmpeg3plugin_cvs.bb
new file mode 100644
index 0000000..bf746e8
--- /dev/null
+++ b/recipes-opie/nonworking/opie-mediaplayer1-libmpeg3plugin/opie-mediaplayer1-libmpeg3plugin_cvs.bb
@@ -0,0 +1,19 @@
+DESCRIPTION = "Mpeg video file plugin using libmad"
+SECTION = "opie/codecs"
+PRIORITY = "optional"
+LICENSE = "GPL"
+DEPENDS = "opie-mediaplayer1"
+RDEPENDS_${PN} = "opie-mediaplayer1"
+PV = "${OPIE_CVS_PV}"
+PR = "r2"
+APPNAME = "mpeg3plugin"
+
+SRC_URI = "${OPIE_GIT};protocol=git;subpath=core/multimedia/opieplayer"
+
+S = "${WORKDIR}/opieplayer/libmpeg3"
+
+inherit opie
+
+EXTRA_QMAKEVARS_POST += "DEFINES+=USE_FIXED_POINT"
+
+# FILES plugins/codecs/libmpeg3plugin.so